package com.bc_chat.bc_base.contract


import com.bc_chat.bc_base.entity.wallet.MucRedPacketDetailEntity
import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：群
 */

interface MucRedPacketContract {

    interface Presenter {

        fun openRedPacket(packet_id: String)

        fun redPacketDetail(packet_id: String)

//        fun isOpenRedPacket(packet_id: String)

    }

    interface View : BaseContract.BaseView {

        fun openRedPacketFailure(exception: Exception?)

        fun redPacketDetailSuccess(mucRedPacketDetailEntity: MucRedPacketDetailEntity?)

        fun redPacketDetailFailure(exception: Exception?)

    }
}
